﻿@model AHCBL.Dto.Admin.CategoryListDto
@{
    ViewBag.Title = "Category List";
}

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <div class="btn-fixed-top">
        <input type="button" value="Back" onclick="location.href='@Url.Action("Index", "CategoryList")'" class="btn btn-light" />
        <input type="submit" value="Save" class="btn btn-default" />
    </div>
    <div class="xp-contentbar" style="margin-top:60px;">
        <div class="row">
            <!-- Start XP Col -->
            <div class="col-md-12 col-lg-12 col-xl-12">
                <div class="card m-b-30">
                    <div class="card-header bg-white">
                        <h5 class="card-title text-black">@Html.DisplayFor(model => model.name) 수정</h5>
                    </div>
                    <div class="card-body">
                        <div class="accordion" id="accordionExample">
                            <div class="card mb-2">
                                <div class="card-header p-1" id="heading1">
                                    <h5 class="mb-0 text-black">
                                        <button class="btn btn-link text-black collapsed" type="button" data-toggle="collapse" data-target="#collapse1" aria-expanded="false" aria-controls="collapse1">
                                            <i class="icon-settings text-primary mr-1"></i>
                                            필수입력
                                        </button>
                                    </h5>
                                </div>
                                <div id="collapse1" class="collapse show" aria-labelledby="heading1" data-parent="#accordionExample" style="">
                                    <div class="card-body table-responsive">
                                        <div style="min-width:1366px;max-width:100%; margin:auto;">
                                            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                                            <div class="tab-pane fade active show" id="tab1" role="tabpanel">
                                                <h6 class="text-success-gradient">필수입력</h6>
                                                <table class="table">
                                                    @*<tr>
                                                        <th>
                                                            <label>분류코드</label>
                                                        </th>
                                                        <td colspan="5">
                                                            <div class="input-group" style="width:300px;">
                                                                @Html.EditorFor(model => model.code, new { htmlAttributes = new { @class = "form-control border" , disabled = "disabled" } })
                                                                <div class="input-group-append">
                                                                    <button id="btnGet" class="btn btn-dribbble" type="button">상품리스트</button>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>*@
                                                    <tr>
                                                        <th>
                                                            <label>분류명</label>
                                                        </th>
                                                        <td>
                                                            @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                        </td>
                                                        <th>
                                                            <label>최소금액</label>
                                                        </th>
                                                        <td>
                                                            <div class="input-group">
                                                                @Html.EditorFor(model => model.min_price, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                                <div class="input-group-append">
                                                                    <span class="input-group-text">달러</span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <th>
                                                            <label>마블마블</label>
                                                        </th>
                                                        <td>
                                                            <div class="input-group">
                                                                @Html.EditorFor(model => model.energy, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                                <div class="input-group-append">
                                                                    <span class="input-group-text">수수료</span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <th>
                                                            <label>수익</label>
                                                        </th>
                                                        <td>
                                                            <div class="input-group">
                                                                @Html.EditorFor(model => model.revenue, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                                <div class="input-group-append">
                                                                    <span class="input-group-text">%</span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <th>
                                                            <label>보유기간</label>
                                                        </th>
                                                        <td>
                                                            <div class="input-group">
                                                                @Html.EditorFor(model => model.day, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                                <div class="input-group-append">
                                                                    <span class="input-group-text">DAY</span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <th>
                                                            <label>하루 판매 횟수</label>
                                                        </th>
                                                        <td>
                                                            <div class="input-group">
                                                                @Html.EditorFor(model => model.win_count, new { htmlAttributes = new { @class = "form-control bg-white border" } })
                                                                <div class="input-group-append">
                                                                    <span class="input-group-text">건</span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>                                                   
                                                    <tr>
                                                        <th>
                                                            <label>판매가능</label>
                                                        </th>
                                                        <td colspan="5">
                                                            <p class="font-11">
                                                                재고가 없거나 일시적으로 판매를 중단하시려면 체크 해제하십시오.
                                                            </p>
                                                            <p class="font-11">
                                                                체크 해제하시면 상품 출력을 하지 않으며, 주문도 받지 않습니다.
                                                            </p>
                                                            @Html.CheckBoxFor(model => model.ca_use) 예
                                                        </td>

                                                    </tr>
                                                    <tr>
                                                        <td colspan="8"></td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<script>
    $(document).ready(function () {
        $("th").addClass("bg-secondary-rgba align-middle");
        $("#liCategory").addClass("active");
        $("#meCategory").addClass("active");
        //$("#code").attr('disabled', 'disabled');
        var id = $("#code").val();
        $("#btnGet").click(function () {
            window.location.href = '../../ItemList/Index?code='+id;
        });
        
    });
</script>
}